ru.bitel.bgbilling.kernel.module.common.service

## Interface ModuleService

-     @MTOM
      public interface ModuleService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.Integer>` | `contractModuleIds(int contractId)`
    `java.util.List<BGInstalledModule>` | `installedClientModuleList()`
    `void` | `installedClientModulePacketGet(java.lang.String module, javax.xml.ws.Holder<javax.activation.DataHandler> data)`
    `java.util.List<BGInstalledModule>` | `installedModuleList()`
    `int` | `moduleAdd(java.lang.String module, java.lang.String title)`
    `void` | `moduleDelete(int id)`
    `java.util.List<BGModule>` | `moduleList()`
    `void` | `moduleUpdate(BGModule module)`

- - ### Method Detail

    - #### moduleAdd

          int moduleAdd(java.lang.String module,
                        java.lang.String title)
                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### moduleUpdate

          void moduleUpdate(BGModule module)
                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### moduleDelete

          void moduleDelete(int id)
                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### moduleList

          java.util.List<BGModule> moduleList()
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### installedModuleList

          java.util.List<BGInstalledModule> installedModuleList()
                                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractModuleIds

          java.util.Set<java.lang.Integer> contractModuleIds(int contractId)
                                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### installedClientModuleList

          java.util.List<BGInstalledModule> installedClientModuleList()
                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### installedClientModulePacketGet

          void installedClientModulePacketGet(java.lang.String module,
                                              javax.xml.ws.Holder<javax.activation.DataHandler> data)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`